Validator Checkpoint Effectiveness
curl --request GET \
--url https://api.rated.network/v0/polygon/validators/{validator_id}/effectiveness \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v0/polygon/validators/{validator_id}/effectiveness"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v0/polygon/validators/{validator_id}/effectiveness', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"page": {
"from": 123,
"to": 123,
"granularity": "checkpoint",
"size": 1
},
"total": 1,
"data": [
{
"borProposalDuties": 10,
"borProposals": 10,
"borProposerEffectiveness": 100,
"checkpointProposalDuties": 0,
"checkpointProposalRewards": 0,
"checkpointProposals": 0,
"checkpointProposerEffectiveness": 0,
"checkpointSignatureDuties": 0,
"checkpointSignatureEffectiveness": 0,
"checkpointSignatureRewards": 123.123,
"checkpointSignatures": 0,
"commissionRate": 0,
"commissionRewards": 0,
"delegatedStake": 920,
"delegatorCount": 10,
"delegatorRewards": 20,
"distributedRewards": 20,
"effectiveness": 100,
"fromCheckpoint": 53105,
"fromDate": "2021-09-01",
"granularity": "checkpoint",
"mevRewards": 0,
"missedCheckpointProposalRewards": 0,
"missedCheckpointSignatureRewards": 0,
"missedCommissionRewards": 0,
"missedDelegatorRewards": 0,
"missedDistributedRewards": 0,
"missedSelfSigningRewards": 0,
"priorityFees": 0,
"selfSigningRewards": 103.123,
"selfStake": 80,
"toCheckpoint": 53105,
"toDate": "2021-09-01",
"totalStake": 1000,
"validatorId": 103
}
],
"next": "<string>"
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Validators
Validator Checkpoint Effectiveness
GET
/
v0
/
polygon
/
validators
/
{validator_id}
/
effectiveness
Validator Checkpoint Effectiveness
This endpoint returns all the useful information you will ever need on the historical performance of a single validator. This includes rewards (checkpoint signings, proposals, Bor proposals), performance (effectiveness and its components), stake distribution, and so much more. For a glossary of the variables returned, see effectiveness.
Here’s how to interpret the inputs required to operate it:
| Parameter | Context |
|---|---|
| from | Starting checkpoint (integer, e.g. 52922) or UTC date (e.g. from=“2023-10-31”) |
| granularity | The size of time increments you are looking to query. Can be checkpoint or day |
| size | The number of results included per page |
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Required range:
x >= 0Query Parameters
The starting checkpoint or date (UTC) to return. For example, 41100 or 2021-01-01.
Checkpoint or UTC day
Available options:
checkpoint, day ⌘I